Create a setting
curl --request POST \
--url https://api.togai.com/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "UserSetting",
"value": "INR",
"entityType": "ORGANIZATION",
"entityId": "XlK5h64gND",
"namespace": "USER",
"name": "Settings Name",
"dataType": "STRING"
}
'import requests
url = "https://api.togai.com/settings"
payload = {
"id": "UserSetting",
"value": "INR",
"entityType": "ORGANIZATION",
"entityId": "XlK5h64gND",
"namespace": "USER",
"name": "Settings Name",
"dataType": "STRING"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'UserSetting',
value: 'INR',
entityType: 'ORGANIZATION',
entityId: 'XlK5h64gND',
namespace: 'USER',
name: 'Settings Name',
dataType: 'STRING'
})
};
fetch('https://api.togai.com/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "UserSetting",
"value": "INR",
"entityType": "ORGANIZATION",
"entityId": "XlK5h64gND",
"namespace": "USER",
"name": "Settings Name",
"dataType": "STRING"
}{
"id": "UserSetting",
"value": "INR",
"entityType": "ORGANIZATION",
"entityId": "XlK5h64gND",
"namespace": "USER",
"name": "Settings Name",
"dataType": "STRING"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Settings
Create a setting
Create a setting
POST
/
settings
Create a setting
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Payload to insert setting
⌘I
